{
  "name": "cycle-rider",
  "private": true,
  "version": "3.1.0",
  "scripts": {
    "prepare": "husky install",
    "dev": "vite",
    "build": "vue-tsc --noEmit && vite build",
    "build:ci": "vite build",
    "start:ci": "serve -s ./dist",
    "prelint": "npm run format",
    "lint": "eslint \"./src/**/*.{ts,js,vue}\" --fix",
    "format": "prettier --write .",
    "preview": "vite preview",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build"
  },
  "lint-staged": {
    "./src/**/*.{ts,js,vue}": [
      "npm run lint"
    ]
  },
  "dependencies": {
    "@gtm-support/vue-gtm": "^2.0.0",
    "@vuestic/tailwind": "^0.1.3",
    "@vueuse/core": "^10.6.1",
    "axios": "^1.6.8",
    "chart.js": "^4.4.4",
    "chartjs-adapter-moment": "^1.0.1",
    "chartjs-chart-geo": "^4.2.8",
    "chartjs-plugin-zoom": "^2.0.1",
    "epic-spinners": "^2.0.0",
    "flag-icons": "^6.15.0",
    "ionicons": "^4.6.3",
    "medium-editor": "^5.23.3",
    "pinia": "^2.1.7",
    "register-service-worker": "^1.7.1",
    "sass": "^1.69.5",
    "serve": "^14.2.1",
    "vue": "3.3.9",
    "vue-chartjs": "^5.3.1",
    "vue-i18n": "^9.6.2",
    "vue-moment": "^4.1.0",
    "vue-router": "^4.2.5",
    "vue-yandex-maps": "^2.1.4",
    "vuestic-ui": "^1.9.0"
  },
  "devDependencies": {
    "@eslint/js": "^9.0.0",
    "@intlify/unplugin-vue-i18n": "^1.5.0",
    "@storybook/addon-essentials": "^7.4.6",
    "@storybook/addon-interactions": "^7.4.6",
    "@storybook/addon-links": "^7.4.6",
    "@storybook/blocks": "^7.4.6",
    "@storybook/testing-library": "^0.2.2",
    "@storybook/vue3": "^7.4.6",
    "@storybook/vue3-vite": "^7.4.6",
    "@types/medium-editor": "^5.0.5",
    "@types/node": "^20.9.0",
    "@typescript-eslint/eslint-plugin": "^6.11.0",
    "@typescript-eslint/parser": "^6.11.0",
    "@vitejs/plugin-vue": "^4.2.3",
    "@vue/eslint-config-prettier": "^8.0.0",
    "@vue/eslint-config-typescript": "^12.0.0",
    "autoprefixer": "^10.4.13",
    "eslint": "^8.57.0",
    "eslint-plugin-prettier": "^5.0.1",
    "eslint-plugin-react": "^7.34.1",
    "eslint-plugin-storybook": "^0.6.15",
    "eslint-plugin-vue": "^9.25.0",
    "globals": "^15.0.0",
    "husky": "^8.0.1",
    "lint-staged": "^15.1.0",
    "postcss": "^8.4.21",
    "prettier": "^3.1.0",
    "storybook": "^7.4.6",
    "tailwindcss": "^3.4.0",
    "typescript": "^5.2.2",
    "typescript-eslint": "^7.6.0",
    "vite": "^4.4.6",
    "vue-eslint-parser": "^9.3.2",
    "vue-tsc": "^1.8.22"
  }
}
